Version: 1.2.x

Version Migration Guide

This page contains information about changes between Rasa Enterprise versions and how you can migrate from one version to another.

Rasa Enterprise 1.0 to 1.1

Version 1.1 of Rasa Enterprise adds compatibility with Rasa Open Source 3.0. Rasa Open Source 2 data and models are no longer supported. This means that the following data formats are now incompatible and will be rejected by Rasa Enterprise:

  • Stories / NLU data in Markdown format
  • NLU data in Rasa JSON format
  • Lookup Tables as text files
  • Any training data in Rasa YAML 2.0 format.

Steps to Upgrade

  1. Make sure that you have pushed or discarded your pending annotations. After this, Integrated Version Control should be in a green state.

  2. Migrate your Rasa Open Source project data to Rasa Open Source 3.0:

    • Convert potential Markdown data to Rasa YAML 3.0 format
    • Convert lookup tables in text files to Rasa YAML 3.0 format
    • Convert data in Rasa YAML 2.0 format to Rasa YAML 3.0.

    Please follow the Rasa Open Source 3.0 migration guide for detailed instructions on how to convert the training data.

  3. Use these instructions to update your deployment.

Integrated Version Control and Incompatible Projects

Integrated Version Control will refuse to connect to Git branches which contain incompatible project data. Integrated Version Control will also disconnect from the Git server if you upgrade to Rasa Enterprise 1.1 while being connected to a branch with incompatible project data.

Convert incompatible Rasa 2.0 project data to Rasa YAML 3.0 format to be able to reconnect your repository to Rasa Enterprise.